import { EventResolver, QAResolverOptions, ConfigTemplateResults, ResolverInitOptions, ApiInfo, NextCallback } from '@esydoc/share';
import ApiQACodeGenerator from './ApiQACodeGenerator';
declare function initResolver(opts: ResolverInitOptions<QAResolverOptions>): ApiQACodeResolver;
declare function createCheckPathFn(opts: QAResolverOptions): (configFilePath: string) => boolean;
declare type QaApiConfig = {
    args: Array<any> | Array<any[]>;
    expect: any[];
    deps: string[];
    onDone?: NextCallback;
};
declare type QaApiInfo = ApiInfo<QaApiConfig>;
declare class ApiQACodeResolver extends EventResolver<any, ApiQACodeGenerator> {
    static initResolver: typeof initResolver;
    static createCheckPathFn: typeof createCheckPathFn;
    templateMap: {
        'hyext-qa-miniapp': string;
    };
    appendFilePath: string;
    options: QAResolverOptions;
    scheduler: any;
    constructor(scheduler: any, options: QAResolverOptions);
    private resolveApi;
    resolveEvent(doclet: any, apiInfo: QaApiInfo): void;
    static needCompileTemplateConfig: {
        args: {
            key: string;
            reflectKey: string;
            format: (data: any) => any[];
            nodeType: string;
        };
        expect: {
            key: string;
            reflectKey: string;
            format: (data: any) => any;
            nodeType: string;
        };
    };
    static templateConfigDefaultValue: {
        args: never[][];
        expect: never[];
        deps: never[];
    };
    outputDataDocletTransofrmConfig(): {
        args: {
            key: string;
            reflectKey: string;
            format: (data: any) => any[];
            nodeType: string;
        };
        expect: {
            key: string;
            reflectKey: string;
            format: (data: any) => any;
            nodeType: string;
        };
    };
    generateApiConfigTemplate(compileResults: ConfigTemplateResults): any;
}
export default ApiQACodeResolver;
